summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-28 06:21:45 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-28 06:21:45 +0000
commita9c5befdde995e342771d959f3475d787ccfb0eb (patch)
tree51e051751e136778e67d673b4b39664c5fb87f52 /dev-python
parentc340fd6aace39485819598112b242e730edc6140 (diff)
downloadbaldeagleos-repo-a9c5befdde995e342771d959f3475d787ccfb0eb.tar.gz
baldeagleos-repo-a9c5befdde995e342771d959f3475d787ccfb0eb.tar.xz
baldeagleos-repo-a9c5befdde995e342771d959f3475d787ccfb0eb.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/libtmux/Manifest2
-rw-r--r--dev-python/libtmux/libtmux-0.24.1.ebuild55
-rw-r--r--dev-python/libtmux/libtmux-0.25.0.ebuild55
5 files changed, 122 insertions, 2 deletions
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..e9da2ac43cac 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 736a1167c898..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -1,6 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
-
- <origin>gentoo-guru-overlay</origin>
+ <maintainer type="person">
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index 814aa53c4721..42020a779f5f 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -2,3 +2,5 @@ DIST libtmux-0.21.0.gh.tar.gz 267484 BLAKE2B 36d7af1bd90ff5a9639587d79f49643eec1
DIST libtmux-0.22.1.gh.tar.gz 266173 BLAKE2B 743d43fcebfb0058c9ff13f0fb9ad811403f85bf80dd68dbeead86fe079b4176db15c9bf0a8dd48fae67cb9fa968633595a51e6fcf6091bff54df911d2dd17bf SHA512 f056ecbf793cd90bb60d50252c78eb67a8312eb3eda92d68ff69ed85270f23c9d4489789438fb9d228600320a2afb64a29a70c00a415604b65079167381c46d6
DIST libtmux-0.23.0.gh.tar.gz 267917 BLAKE2B 55b564ca517b346cdcb81b114cb62d3a10d94aad7be54b5172669a4c42f9d01d54c467ba32d818ec4851ae148bc0cadf174e47f5026a5025d015bc1e294802d9 SHA512 28b2b356e2f774085ffd03a1c63b1b7d6ece24765c54728a3e71fabe7b46b15f61a0a0263366bb67dfc440129c07cb6ff6f6dc6141b8d1f2e9fe96fc05b8b88a
DIST libtmux-0.23.2.gh.tar.gz 268237 BLAKE2B a5e7aece4d7160f87c48c2c02371c6d6b423aad979d91683561b1d8a7f750c626b522af5d1d97157c536adfd612948750433e77faaeb633343af37648bc9bf01 SHA512 f8952cffa94fcf9b345275d3d5e59ea0a164bbcb93aacbd2820c8127b34526635d7b9a25f5684cd385744b1de626b8bce19d2c735579c2bdffed6a17c9f8f394
+DIST libtmux-0.24.1.gh.tar.gz 265873 BLAKE2B 4dbc6ef078ed2fb83115b54b2b78b2076a0296b3b76e4710e7fbb9de0a0add2d2eb1d99ecfb835d6eec22ed6b0993cf3de04062c3855e8f5edc45de13f5076e6 SHA512 1d2246c8032b4f8bb220f63aac6db96cf4a7eeba31137399a539195789a0f76bd7ec37cfd4d9ace4380ed63f4fabed6673e3926ba789fcc14da7bdf200279da3
+DIST libtmux-0.25.0.gh.tar.gz 268260 BLAKE2B ac9da378491acbb91eb8e67e47ef213206d77f618a35fd6cba1014435c70b82eca712f764ccc4f2fa14f4027001678e31743ade9b28ffbc9e5509e2592afab48 SHA512 72cf2a24af0407baa775f1be13490c45b573cfaabc6803b57d77cc0eac5de0ef9b8c3a8923437163d1b6b9486a86b71076df40761f302d3534d36d94c68bd6bb
diff --git a/dev-python/libtmux/libtmux-0.24.1.ebuild b/dev-python/libtmux/libtmux-0.24.1.ebuild
new file mode 100644
index 000000000000..8b8d9431ebf7
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.24.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python API for tmux"
+HOMEPAGE="
+ https://libtmux.git-pull.com/
+ https://github.com/tmux-python/libtmux/
+ https://pypi.org/project/libtmux/
+"
+SRC_URI="
+ https://github.com/tmux-python/libtmux/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=app-misc/tmux-3.0a
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ libtmux/pane.py::libtmux.pane.Pane.send_keys
+ tests/legacy_api/test_test.py
+)
+
+python_prepare_all() {
+ local issues="https://github.com/tmux-python/libtmux/issues/"
+ sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" CHANGES || die
+
+ # increase timeouts for tests
+ sed -e 's/0.01/0.1/' -i tests/test_test.py || die
+
+ sed -r -e '/addopts/s:--doctest-docutils-modules::' \
+ -e '/^[[:space:]]+"README\.md"/d' \
+ -i pyproject.toml || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/libtmux/libtmux-0.25.0.ebuild b/dev-python/libtmux/libtmux-0.25.0.ebuild
new file mode 100644
index 000000000000..8b8d9431ebf7
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.25.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python API for tmux"
+HOMEPAGE="
+ https://libtmux.git-pull.com/
+ https://github.com/tmux-python/libtmux/
+ https://pypi.org/project/libtmux/
+"
+SRC_URI="
+ https://github.com/tmux-python/libtmux/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=app-misc/tmux-3.0a
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ libtmux/pane.py::libtmux.pane.Pane.send_keys
+ tests/legacy_api/test_test.py
+)
+
+python_prepare_all() {
+ local issues="https://github.com/tmux-python/libtmux/issues/"
+ sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" CHANGES || die
+
+ # increase timeouts for tests
+ sed -e 's/0.01/0.1/' -i tests/test_test.py || die
+
+ sed -r -e '/addopts/s:--doctest-docutils-modules::' \
+ -e '/^[[:space:]]+"README\.md"/d' \
+ -i pyproject.toml || die
+
+ distutils-r1_python_prepare_all
+}